org.springframework.web.accept

## Interface MediaTypeFileExtensionResolver

All Known Implementing Classes:
  AbstractMappingContentNegotiationStrategy, ContentNegotiationManager, MappingMediaTypeFileExtensionResolver, ParameterContentNegotiationStrategy, PathExtensionContentNegotiationStrategy, ServletPathExtensionContentNegotiationStrategy

    public interface MediaTypeFileExtensionResolver

A strategy for resolving a `MediaType` to one or more path extensions. For example "application/json" to "json".

Since:
  3.2
Author:
  Rossen Stoyanchev

### Method Summary

Methods
`List<String>` `getAllFileExtensions()` Return all known file extensions.
`List<String>` `resolveFileExtensions(MediaType mediaType)` Resolve the given media type to a list of path extensions.

### Method Detail

#### resolveFileExtensions

    List<String> resolveFileExtensions(MediaType mediaType)

Resolve the given media type to a list of path extensions.

Parameters:
  `mediaType` - the media type to resolve
Returns:
  a list of extensions or an empty list, never `null`

#### getAllFileExtensions

    List<String> getAllFileExtensions()

Return all known file extensions.

Returns:
  a list of extensions or an empty list, never `null`